{% extends 'powerproduction/base.html' %}

{% load mathfilters %}

{% block title %}Power production | result of {{ date|date:"Y-m-d" }}{% endblock %}

{% block body %}

<h1>Power production</h1>

<p>
    <a href="{% url 'index' %}">Index</a> |
    <a href="{% url 'results' %}">List of dates</a>
</p>

<h2>View detailed data</h2>

<p>Production of {{ date|date:"Y-m-d" }} : {{ sumprod|div:1000|floatformat }} kWh</p>

{% if error_message %}
<p class="error"><strong>{{ error_message }}</strong></p>

{% else %}
{{ tbhps|safe }}

{% endif %}

{% endblock %}